typedef	unsigned char u8;
typedef	unsigned short u16;
typedef	unsigned long u32;

#include "setup.h"

#define	PAGE_SIZE	1<<12
#define	MEM_SIZE	0x00800000
#define	PHYS_OFFSET	0x01000000
#define	COMMAND_LINE	"s5n8947eth=mac0:00:04:44:33:22:11 root=/dev/ram0"

struct init_tags {
        struct tag_header hdr1;
        struct tag_core   core;
        struct tag_header hdr2;
        struct tag_mem32  mem;
        struct tag_header hdr3;
        struct tag_cmdline  cmdline;
        struct tag_header hdr4;
        struct tag_initrd  initrd;
        struct tag_header hdr5;
} init_tags  __attribute__((section(".linuxtags"))) = {
        { tag_size(tag_core), ATAG_CORE },
        { 1, PAGE_SIZE, 0xff },
        { tag_size(tag_mem32), ATAG_MEM },
        { MEM_SIZE, PHYS_OFFSET },
        { tag_size(tag_cmdline), ATAG_CMDLINE },
	{ COMMAND_LINE },
        { tag_size(tag_initrd), ATAG_INITRD },
	{ 0x1740000, 0xc0000 },
        { 0, ATAG_NONE }
};

u8 *macaddress = &init_tags.cmdline.cmdline[16];
